Publications

Explicitly accept the current destination for an existing selected target

POST
/api/projects/{projectId}/publications/{publicationId}/confirm-destination

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
publicationId*string
Length1 <= length

Request Body

  1. body
expectedRevision*integer
Range0 <= value
expectedTargetRevisionId*|null

Response Body

Response for status 200

application/json
  1. response
destination*
Example Request
curl -X POST 'https://postbot.example/api/projects/string/publications/string/confirm-destination' \
  -H 'Content-Type: application/json' \
  -d '{
  "expectedRevision": 0,
  "expectedTargetRevisionId": "string"
}'
Example Response
{
  "destination": {
    "revision": 0,
    "confirmedRevision": 0,
    "requiresConfirmation": true,
    "connected": true,
    "current": {},
    "history": [
      {
        "id": "string",
        "createdAt": 0,
        "destination": {}
      }
    ]
  }
}

Was this page helpful?